MonoMac 0.0.0.0 MonoMac.Foundation.NSObject MonoMac.Foundation.Register("AVAsset", true) Base class for timed video and audio To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCoder:")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  The unarchiver object.
  A constructor that initializes the object from the data stored in the unarchiver object.
  This constructor is provided to allow the class to be initialized from an unarchiver (for example, during NIB deserialization).
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Unused sentinel value, pass NSObjectFlag.Empty.
  Constructor to call on derived classes when the derived class has an [Export] constructor.

  This constructor should be called by derived classes when they are initialized using an [Export] attribute. The argument value is ignore, typically the chaining would look like this:

  public class MyClass : BaseClass { [Export ("initWithFoo:")] public MyClass (string foo) : base (NSObjectFlag.Empty) { ... }
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Pointer (handle) to the unmanaged object.
  A constructor used when creating managed representations of unmanaged objects; Called by the runtime.

  This constructor is invoked by the runtime infrastructure () to create a new managed representation for a pointer to an unmanaged Objective-C object. You should not invoke this method directly, instead you should call the GetNSObject method as it will prevent two instances of a managed object to point to the same native object.

- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(4, 3)
  get: MonoMac.Foundation.Export("availableChapterLocales")
  MonoMac.Foundation.NSLocale[] To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(5, 0)
  get: MonoMac.Foundation.Export("availableMediaCharacteristicsWithMediaSelectionOptions")
  System.String[] To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("availableMetadataFormats")
  System.String[] Metadata formats available for the asset. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("cancelLoading")
  System.Void Cancels loading. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("chapterMetadataGroupsWithTitleLocale:containingItemsWithCommonKeys:")
  MonoMac.AVFoundation.AVMetadataItem[] `` `` To be added.

  This parameter can be .

  To be added. To be added. To be added.
- Property
  0.0.0.0
  System.IntPtr The handle for this class. The pointer to the Objective-C class. Each MonoMac class mirrors an unmanaged Objective-C class. This value contains the pointer to the Objective-C class, it is similar to calling objc_getClass with the object name.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("commonMetadata")
  MonoMac.AVFoundation.AVMetadataItem[] Metadata keys that are available. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(5, 0)
  get: MonoMac.Foundation.Export("isCompatibleWithSavedPhotosAlbum")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(4, 3)
  get: MonoMac.Foundation.Export("isComposable")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(5, 0)
  get: MonoMac.Foundation.Export("creationDate")
  MonoMac.AVFoundation.AVMetadataItem To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the AVAsset object.

  This Dispose method releases the resources used by the AVAsset class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the AVAsset ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("duration")
  MonoMac.CoreMedia.CMTime The duration of the asset in CMTime. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(4, 3)
  get: MonoMac.Foundation.Export("isExportable")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("assetWithURL:")
  MonoMac.AVFoundation.AVAsset `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("chapterMetadataGroupsBestMatchingPreferredLanguages:")
  MonoMac.AVFoundation.AVTimedMetadataGroup[] `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("loadValuesAsynchronouslyForKeys:completionHandler:")
  System.Void `` `` An array of keys to load. The delegate to call when loading succeeds, fails or is cancelled. Asks the asset to load the specified keys (unless they're already loaded).
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("lyrics")
  System.String The lyrics of the asset, in the current locale. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("mediaSelectionGroupForMediaCharacteristic:")
  MonoMac.AVFoundation.AVMediaSelectionGroup `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("metadataForFormat:")
  MonoMac.AVFoundation.AVMetadataItem[] `` To be added. Returns the metadata items available for the specified format. To be added. To be added.
- Property
  0.0.0.0
  System.Obsolete("Instead use NaturalSize/PreferredTransform as appropriate on the video track", false)
  get: MonoMac.Foundation.Export("naturalSize")
  System.Drawing.SizeF Size of the visual component of the asset. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(4, 3)
  get: MonoMac.Foundation.Export("isPlayable")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("preferredRate")
  System.Single The rate at which this asset should be played. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("preferredTransform")
  MonoMac.CoreGraphics.CGAffineTransform Preferred affine transformation to apply to the visual content of the asset for rendering. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("preferredVolume")
  System.Single Preferred asset volume. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(4, 2)
  get: MonoMac.Foundation.Export("hasProtectedContent")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("providesPreciseDurationAndTiming")
  System.Boolean Whether the asset provides precise duration and timing information. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(4, 3)
  get: MonoMac.Foundation.Export("isReadable")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(5, 0)
  get: MonoMac.Foundation.Export("referenceRestrictions")
  MonoMac.AVFoundation.AVAssetReferenceRestrictions To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  get: MonoMac.Foundation.Export("resourceLoader")
  MonoMac.AVFoundation.AVAssetResourceLoader To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("statusOfValueForKey:error:")
  MonoMac.AVFoundation.AVKeyValueStatus `` `` The key whose status to check. Returns any errors that occurred during loading of the specifed key. Returns the loading status for the specified key. The loading status for the specified key.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("tracks")
  MonoMac.AVFoundation.AVAssetTrack[] The tracks contained in the asset. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("tracksWithMediaCharacteristic:")
  MonoMac.AVFoundation.AVAssetTrack[] `` To be added. Returns the tracks in the asset that match the given media characteristic. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("tracksWithMediaType:")
  MonoMac.AVFoundation.AVAssetTrack[] `` To be added. \Returns the tracks in the asset that match the given media type. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("trackWithTrackID:")
  MonoMac.AVFoundation.AVAssetTrack `` To be added. Returns the track which has the associated Track ID. To be added. To be added.